=== requirements.txt ===
requests>=2.23.0
colorama>=0.4.0
