=== debian/changelog ===
tblock (2.6.0-1) stable; urgency=high

  * Release 2.6.0-1. Consult changelog here: https://codeberg.org/tblock/tblock/src/branch/main/CHANGELOG.md.

 -- Twann <tw4nn@disroot.org>  Thu, 01 Dec 2022 15:06:00 +0100
